Support » Plugin: CSS Plus » Receive warning at top of page – create new posts

  • Resolved gozigzag

    (@gozigzag)


    Activating version 1.4.1 of CSS Plus, I receive the following warning when add new post or page. It does not show error if editing page already created.

    Warning: Missing argument 2 for css_plus_plugin_save_post() in /home/content/44/4787244/html/photo/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Missing argument 2 for css_plus_plugin_save_post() in /home/content/44/4787244/html/photo/wp-content/plugins/css-plus/css-plus.php on line 188

    http://wordpress.org/extend/plugins/css-plus/

Viewing 15 replies - 1 through 15 (of 15 total)
  • Plugin Author paulo4lzn

    (@paulo4lzn)

    How WordPress version you use?

    I am having the same problem after update to plugin. No blank spaces in either file.

    I also get a second missing argument error, here are both.

    Latest v WPMU and CSS Plus

    ‘Warning: Missing argument 2 for css_plus_plugin_save_post() in /home/iemajen/public_html/wp-content/plugins/css-plus/css-plus.php on line 188

    Warning: Cannot modify header information – headers already sent by (output started at /home/iemajen/public_html/wp-content/plugins/css-plus/css-plus.php:188) in /home/iemajen/public_html/wp-includes/pluggable.php on line 876′

    Christopher Su

    (@christopher-su)

    I’m getting this same error:

    Warning: Missing argument 2 for css_plus_plugin_save_post() in /home/~username~/public_html/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Missing argument 2 for css_plus_plugin_save_post() in /home/~username~/public_html/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Missing argument 2 for css_plus_plugin_save_post() in /home/~username~/public_html/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Missing argument 2 for css_plus_plugin_save_post() in /home/~username~/public_html/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Cannot modify header information - headers already sent by (output started at /home/~username~/public_html/wp-content/plugins/css-plus/css-plus.php:188) in /home/~username~/public_html/wp-includes/pluggable.php on line 876
    Plugin Author paulo4lzn

    (@paulo4lzn)

    Christopher Su, how WordPress version you use?

    krushen

    (@krushen)

    Same problem here

    gozigzag

    (@gozigzag)

    I was using 3.5.1

    cityweb

    (@cityweb)

    I too have the same problem
    WordPress 3.5.1

    Warning: Missing argument 2 for css_plus_plugin_save_post() in /var/www/vhosts/********/httpdocs/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Missing argument 2 for css_plus_plugin_save_post() in /var/www/vhosts/********/httpdocs/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Missing argument 2 for css_plus_plugin_save_post() in /var/www/vhosts/********/httpdocs/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Missing argument 2 for css_plus_plugin_save_post() in /var/www/vhosts/*******.com/httpdocs/wp-content/plugins/css-plus/css-plus.php on line 188
    
    Warning: Cannot modify header information - headers already sent by (output started at /var/www/vhosts/********/httpdocs/wp-content/plugins/css-plus/css-plus.php:188) in /var/www/vhosts/********/httpdocs/wp-includes/pluggable.php on line 876

    Plugin Author paulo4lzn

    (@paulo4lzn)

    I not found this problem, yet.
    Please, open css-plus.php and replace the line 188 and 192 the variable $post_type_id to $post_id. After, let me know if solved.
    Thanks.

    I’ve replaced line 188 and 192 the variable $post_type_id to $post_id

    No luck 🙁

    WPMU 3.5.1

    CSS Plus 1.4.1

    BTW paulo4lzn the plugin is awesome! Thanks so much for your contribution!

    cityweb

    (@cityweb)

    does not work

    Plugin Author paulo4lzn

    (@paulo4lzn)

    My plugin works without error.
    Please comment the line 185 that contains the function add_action, wp_insert_post.
    I want to make sure the problem is fixed before upload the version 1.4.2 with correction.

    Plugin Author paulo4lzn

    (@paulo4lzn)

    Help for this problem here. Use the version 1.4.2 or lastest.

    YES! Thank you very much!

    Perfect
    Great
    Thank you very much!

Viewing 15 replies - 1 through 15 (of 15 total)
  • The topic ‘Receive warning at top of page – create new posts’ is closed to new replies.